Skip to main content
GET
Get rate limit policies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

resource
enum<string>

The API protected by the Rate Limit Policy.

Available options:
oauth_authentication_api
consumer
enum<string>

The consumer to which the rate limit policy applies.

Available options:
client
consumer_selector
string

Identifier or category within the consumer to which the policy applies. Supported values: client_id:<client_id> to target a specific client by ID, client_id:<cimd_uri> to target a CIMD client by URI, cimd_clients to target all CIMD clients, third_party_clients to target all third-party clients, or default to apply the policy to any consumer identifier not otherwise explicitly targeted.

Maximum string length: 255
take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
from
string

Cursor for pagination.

Maximum string length: 1000

Response

Rate limit policies retrieved successfully.

rate_limit_policies
object[]
next
string

A cursor to be used as the "from" query parameter for the next page of results.